/**********************************************************
***********************************************************
*               European Southern Observatory
*          VLTI MIDI Maintenance Templates Software
*
* Module name:  createProdAcq.h
* Description:  
*
*
* History:      
* 14-Jun-04     (csabet) Created
***********************************************************
**********************************************************/
#ifndef _CREATE_PROD_ACQ_H
#define _CREATE_PROD_ACQ_H

/**********************************************************
*   Include files
**********************************************************/

/**********************************************************
*   Constant definitions
**********************************************************/

/**********************************************************
*   Enumeration definitions
**********************************************************/

/**********************************************************
*   Type definitions 
**********************************************************/

/**********************************************************
*   Function Prototypes
**********************************************************/
void createAcqProd (
    MidiFiles		*fileNames,
    ImageFormat		*format,
    ImageQuality	*acqImage,
    int				*error);

void createAcqQcLog (
	char	*inFitsName,
	int		*error);

void createAcqPrimHead (
	int				region,
	char			*outFitsName,
    MidiFiles		*fileNames,
    ImageFormat		*size,
    ImageQuality	*acqImage,
    int				*error);

void addProdInfoToAcqQcLog (
    ImageFormat		*format,
	MidiFiles		*fileNames,
    ImageQuality	*acqImage,
	int				*error);

/*********************************************************/
#endif
/*********************************************************/
/*********************************************************/

