/**********************************************************
***********************************************************
*               European Southern Observatory
*          VLTI MIDI Maintenance Templates Software
*
* Module name:  createProdDetLin.h
* Description:  
*
*
* History:      
* 14-Jun-04     (csabet) Created
***********************************************************
**********************************************************/
#ifndef _CREATE_PROD_DET_RON_H
#define _CREATE_PROD_DET_RON_H

/**********************************************************
*   Include files
**********************************************************/

/**********************************************************
*   Constant definitions
**********************************************************/

/**********************************************************
*   Enumeration definitions
**********************************************************/

/**********************************************************
*   Type definitions 
**********************************************************/

/**********************************************************
*   Function Prototypes
**********************************************************/
void createDetRonProd (
    MidiFiles   *fileNames,
    ImageFormat *size,
    DetRonNoise *noise,
    int			*error);

void createDetRonPrimHead (
    MidiFiles	*fileNames,
    ImageFormat	*size,
    DetRonNoise *noise,
    int			*error);

void createDetRonQcLog (
	char	*inFitsName,
	int		*error);
    
void addProdInfoToDetRonQcLog (
    ImageFormat	*format,
	MidiFiles	*fileNames,
	float		median,
	int			*error);

/*********************************************************/
#endif
/*********************************************************/
/*********************************************************/

