/**********************************************************
***********************************************************
*               European Southern Observatory
*          VLTI MIDI Maintenance Templates Software
*
* Module name:  createProdWavCal.h
* Description:  
*
*
* History:      
* 10-Jun-05     (csabet) Created
***********************************************************
**********************************************************/
#ifndef _CREATE_PRODU_WAV_CAL_H
#define _CREATE_PRODU_WAV_CAL_H

/**********************************************************
*   Include files
**********************************************************/

/**********************************************************
*   Constant definitions
**********************************************************/

/**********************************************************
*   Enumeration definitions
**********************************************************/

/**********************************************************
*   Type definitions 
**********************************************************/

/**********************************************************
*   Function Prototypes
**********************************************************/
void createWaveCalProd (
	int				processing,
    MidiFiles   	*fileNames,
    ImageFormat		*format,
    WaveCalibration	*waveCal,
    int				*error);

void createWaveCalPrimHead (
	int				processing,
    MidiFiles   	*fileNames,
    ImageFormat		*format,
    WaveCalibration	*waveCal,
    int				*error);

void createWaveCalQcLog (
	char	*inFitsName,
	int		*error);

void addProdInfoToWaveCalQcLog (
	int				processing,
    ImageFormat		*format,
	MidiFiles		*fileNames,
    WaveCalibration	*waveCal,
	int				*error);

/*********************************************************/
#endif
/*********************************************************/
/*********************************************************/

