/**********************************************************
***********************************************************
*               European Southern Observatory
*            VLTI MIDI Data Reduction Software
*
* Module name:  midiGlobal.h
* Description:
*
*
* History:
* 22-Mar-05     (csabet) Created
***********************************************************
**********************************************************/
#ifndef _MIDI_GLOBAL_H
#define _MIDI_GLOBAL_H

/**********************************************************
*   Include files
**********************************************************/
#include "midiConst.h"

/**********************************************************
*   Constant definitions
**********************************************************/

/**********************************************************
*   Enumeration definitions
**********************************************************/

/**********************************************************
*   Type definitions
**********************************************************/

/**********************************************************
*   Global Variables
**********************************************************/
extern FILE	*midiReportPtr;		// Output report file
extern char	*midiReportName;	// Name of event log file
extern FILE	*midiQcLogPtr;		// File pointer for the QC log file
extern char	*midiQcLogName;		// Name of QC log file
extern int	batchNumber, diagnostic, plotFile, plotDuration, endOfTemplate;
extern char	outFileDir[MAX_STRING_LENGTH];
extern char	outRootName[MAX_STRING_LENGTH];
extern char	batchTemplate[MAX_STRING_LENGTH];
extern int	rootName;
extern char midiMessage[MAX_STRING_LENGTH];
extern int	*badChannelList;

/**********************************************************
*   Function Prototypes
**********************************************************/

/*********************************************************/
#endif
/*********************************************************/
/*********************************************************/
